﻿<?xml version="1.0" encoding="utf-8" ?>
<!--Created with Liquid XML Studio Designer Edition 8.1.3.2460 (http://www.liquid-technologies.com)-->
<xs:schema elementFormDefault="qualified" xmlns:xs="http://www.w3.org/2001/XMLSchema">
    <xs:element name="CTSFulfilmentRequest">
        <xs:complexType>
            <xs:all>
                <xs:element name="DateTimeStamp">
                    <xs:complexType>
                        <xs:simpleContent>
                            <xs:extension base="xs:dateTime" />
                        </xs:simpleContent>
                    </xs:complexType>
                </xs:element>
                <xs:element name="TargetFulfilmentSite">
                    <xs:complexType>
                        <xs:simpleContent>
                            <xs:extension base="xs:integer" />
                        </xs:simpleContent>
                    </xs:complexType>
                </xs:element>
                <xs:element name="OrderHeader">
                    <xs:complexType>
                        <xs:all>
                            <xs:element name="Source" type="xs:string" minOccurs="0" />
                            <xs:element name="SourceOrderNumber" type="xs:string" minOccurs="0" />
                            <xs:element name="SellingStoreCode">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:integer" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="SellingStoreOrderNumber">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:integer" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="SellingStoreTill" type="xs:string" minOccurs="0" />
                            <xs:element name="SellingStoreTransaction" type="xs:string" minOccurs="0" />
                            <xs:element name="RequiredDeliveryDate">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:date" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="DeliveryCharge">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:decimal" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="TotalOrderValue">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:decimal" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="SaleDate">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:date" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="OMOrderNumber">
                                <xs:annotation>
                                    <xs:documentation>Created upon successful receipt by OM and only present in the Response</xs:documentation>
                                </xs:annotation>
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="OrderStatus">
                                <xs:annotation>
                                    <xs:documentation>"Input" - can only contain:
200	Delivery Request Accepted by OM
210	Fulfilment request failed confirmation on connection timeout

"Output" - can only contain:
230	Fulfilment request contained invalid data
300	All Stock IBT’d Out from fulfilment site
</xs:documentation>
                                </xs:annotation>
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:integer" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="CustomerAccountNo" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="CustomerName">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="CustomerAddressLine1">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="CustomerAddressLine2" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="CustomerAddressTown">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="CustomerAddressLine4" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="CustomerPostcode" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="DeliveryAddressLine1">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="DeliveryAddressLine2" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="DeliveryAddressTown">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="DeliveryAddressLine4" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="DeliveryPostcode">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="ContactPhoneHome" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="ContactPhoneWork" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="ContactPhoneMobile" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="ContactEmail" nillable="true">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:string" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="DeliveryInstructions">
                                <xs:complexType>
                                    <xs:sequence minOccurs="0" maxOccurs="unbounded">
                                        <xs:element name="InstructionLine">
                                            <xs:complexType>
                                                <xs:all>
                                                    <xs:element name="LineNo">
                                                        <xs:complexType>
                                                            <xs:simpleContent>
                                                                <xs:extension base="xs:integer" />
                                                            </xs:simpleContent>
                                                        </xs:complexType>
                                                    </xs:element>
                                                    <xs:element name="LineText">
                                                        <xs:complexType>
                                                            <xs:simpleContent>
                                                                <xs:extension base="xs:string" />
                                                            </xs:simpleContent>
                                                        </xs:complexType>
                                                    </xs:element>
                                                </xs:all>
                                            </xs:complexType>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="ToBeDelivered">
                                <xs:complexType>
                                    <xs:simpleContent>
                                        <xs:extension base="xs:boolean" />
                                    </xs:simpleContent>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="ExtendedLeadTime" type="xs:boolean" minOccurs="0" />
                            <xs:element name="DeliveryContactName" type="xs:string" minOccurs="0" />
                            <xs:element name="DeliveryContactPhone" type="xs:string" minOccurs="0" />
                            <xs:element name="TillOrderReference" type="xs:string" minOccurs="0" />
                            <xs:element name="RequiredFulfilmentSlot" minOccurs="0">
                                <xs:complexType>
                                    <xs:all>
                                        <xs:element name="Id" type="xs:string" />
                                        <xs:element name="Description" type="xs:string" />
                                        <xs:element name="StartTime" type="xs:time" />
                                        <xs:element name="EndTime" type="xs:time" />
                                    </xs:all>
                                </xs:complexType>
                            </xs:element>
                        </xs:all>
                    </xs:complexType>
                </xs:element>
                <xs:element name="OrderLines">
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="OrderLine" maxOccurs="unbounded">
                                <xs:complexType>
                                    <xs:all>
                                        <xs:element name="SellingStoreLineNo">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:integer" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="OMOrderLineNo">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:integer" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="LineStatus">
                                            <xs:annotation>
                                                <xs:documentation>"Request" - can only contain:
200	Delivery Request Accepted by OM

"Response" - can only contain:
230	Fulfilment request contained invalid data
300	All Stock IBT’d Out from fulfilment site
</xs:documentation>
                                            </xs:annotation>
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:integer" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="ProductCode">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:integer" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="ProductDescription">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:string" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="TotalOrderQuantity">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:decimal" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="QuantityTaken">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:decimal" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="UOM">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:string" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="LineValue">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:decimal" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="DeliveryChargeItem">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:boolean" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="SellingPrice">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:decimal" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                        <xs:element name="FulfilmentSite">
                                            <xs:complexType>
                                                <xs:simpleContent>
                                                    <xs:extension base="xs:integer" />
                                                </xs:simpleContent>
                                            </xs:complexType>
                                        </xs:element>
                                    </xs:all>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
            </xs:all>
        </xs:complexType>
    </xs:element>
</xs:schema>
